From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-dns/libidn/
Date: Sun, 14 Jan 2024 02:46:29 +0000 (UTC) [thread overview]
Message-ID: <1705200276.00435780c75e8a0d728bd1aaf69acc86c77fbd1b.sam@gentoo> (raw)
commit: 00435780c75e8a0d728bd1aaf69acc86c77fbd1b
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sun Jan 14 02:43:35 2024 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Jan 14 02:44:36 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=00435780
net-dns/libidn: add 1.42
Note that I've gone back to the default src_test implementation. Ignoring
gnulib test failures isn't ideal at all, so let's not do that, given it could
affect how the program operates and we've found other bugs that way in other
packages before. I'm not aware of any other packages where we make an effort
to skip the gnulib tests.
Bug: https://bugs.gentoo.org/500662
Bug: https://bugs.gentoo.org/539356
Closes: https://bugs.gentoo.org/898348
Signed-off-by: Sam James <sam <AT> gentoo.org>
net-dns/libidn/Manifest | 2 +
net-dns/libidn/libidn-1.42.ebuild | 96 +++++++++++++++++++++++++++++++++++++++
2 files changed, 98 insertions(+)
diff --git a/net-dns/libidn/Manifest b/net-dns/libidn/Manifest
index d7ba2d57179b..85005d47a632 100644
--- a/net-dns/libidn/Manifest
+++ b/net-dns/libidn/Manifest
@@ -1,2 +1,4 @@
DIST libidn-1.41.tar.gz 2664011 BLAKE2B 6c632c2010f024792fd55d3c8e6f68e81152fa7421a4f65b6835d0dfd788707727381270c57bf46c6e252777e07ead501fdabdc55961c5c1604e81c53be5ab2b SHA512 765c42b64f10f0d84c0abecdce443baa9fdb80576179e3143bf56abde3f6c6149cc2c77e286e2e2a6ccf508914f30c2d5af258073168c0f886686e4fd85bbb47
DIST libidn-1.41.tar.gz.sig 228 BLAKE2B 004aa8871afa7cbb45206d8ddcc7ade21ea165aae2b00fc0c1d22cf05079bb399c8df628dc43bc0eb93c82524b96c71ad694c38234fdc2a4df09dc5192ca57bb SHA512 5d1dca4493cf4af420ba326b867e50e618432ce2808dde60a5325e1c64a6408dcb09d9b104c64d34e2726b9903c06b112ffc040fb6bb3818ae4ddf1551228c1c
+DIST libidn-1.42.tar.gz 2653078 BLAKE2B 8f16d388884ad2ac9aafc46ec5eae144508ca86135184f625761c82c02ec9f99400bd4db65c9c9df54d315502cd5e2d37893d171abc6d76abe0a70f29acdb68e SHA512 1a99f0c9aa12cebed2de7db603c203696544cfe093afd7b233b0955f4fbe65440bf637089a624ed74e204abe854b1d16d11b77dc1b8d56c97ba6b20715aeb0d7
+DIST libidn-1.42.tar.gz.sig 228 BLAKE2B 0f2eab508a88de3ce03d79fa10fa053c5e24d76414c1f7f8f3cbaf956a818ec155407affce13cc588bc3838a3c85ef6f99ea30a3d18aa3553e2a1a92cf4282c2 SHA512 16706a3570620badf05ad146c8bf6ff7e96dc066b9dd609c22ecf3f942e70fa615f0f479e6d06b3317ddc094192f76effb841cbe72bff276914821f177ef2049
diff --git a/net-dns/libidn/libidn-1.42.ebuild b/net-dns/libidn/libidn-1.42.ebuild
new file mode 100644
index 000000000000..54ca6626bae2
--- /dev/null
+++ b/net-dns/libidn/libidn-1.42.ebuild
@@ -0,0 +1,96 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+VERIFY_SIG_OPENPGP_KEY_PATH=/usr/share/openpgp-keys/libidn.asc
+inherit elisp-common libtool multilib-minimal verify-sig
+
+DESCRIPTION="Internationalized Domain Names (IDN) implementation"
+HOMEPAGE="https://www.gnu.org/software/libidn/"
+SRC_URI="
+ mirror://gnu/libidn/${P}.tar.gz
+ verify-sig? ( mirror://gnu/libidn/${P}.tar.gz.sig )
+"
+
+LICENSE="GPL-2 GPL-3 LGPL-3"
+SLOT="0/12"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE="emacs nls"
+
+DEPEND="nls? ( >=virtual/libintl-0-r1[${MULTILIB_USEDEP}] )"
+RDEPEND="${DEPEND}"
+BDEPEND="
+ emacs? ( >=app-editors/emacs-23.1:* )
+ nls? ( >=sys-devel/gettext-0.17 )
+ verify-sig? ( >=sec-keys/openpgp-keys-libidn-20240114 )
+"
+
+DOCS=( AUTHORS ChangeLog FAQ NEWS README THANKS )
+
+QA_CONFIG_IMPL_DECL_SKIP=(
+ unreachable
+ static_assert
+)
+
+src_prepare() {
+ default
+
+ # For Solaris shared objects
+ elibtoolize
+}
+
+multilib_src_configure() {
+ # -fanalyzer substantially slows down the build and isn't useful for
+ # us. It's useful for upstream as it's static analysis, but it's not
+ # useful when just getting something built.
+ export gl_cv_warn_c__fanalyzer=no
+
+ local args=(
+ $(use_enable nls)
+ --disable-gcc-warnings
+ --disable-doc
+ --disable-gtk-doc
+ --disable-gtk-doc-html
+ --disable-gtk-doc-pdf
+ --disable-csharp
+ --disable-java
+ --disable-valgrind-tests
+ --with-lispdir="${EPREFIX}${SITELISP}/${PN}"
+ --with-packager-bug-reports="https://bugs.gentoo.org"
+ --with-packager-version="r${PR}"
+ --with-packager="Gentoo Linux"
+ )
+
+ ECONF_SOURCE="${S}" econf "${args[@]}"
+}
+
+multilib_src_compile() {
+ default
+
+ if multilib_is_native_abi; then
+ use emacs && elisp-compile "${S}"/src/*.el
+ fi
+}
+
+multilib_src_install_all() {
+ if use emacs; then
+ # *.el are installed by the build system
+ elisp-install ${PN} "${S}"/src/*.elc
+ elisp-site-file-install "${FILESDIR}"/50${PN}-gentoo.el
+ else
+ rm -r "${ED}"/usr/share/emacs || die
+ fi
+
+ einstalldocs
+
+ find "${ED}" -name '*.la' -delete || die
+}
+
+pkg_postinst() {
+ use emacs && elisp-site-regen
+}
+
+pkg_postrm() {
+ use emacs && elisp-site-regen
+}
next reply other threads:[~2024-01-14 2:46 UTC|newest]
Thread overview: 112+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-01-14 2:46 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-02-24 8:49 [gentoo-commits] repo/gentoo:master commit in: net-dns/libidn/ Michał Górny
2024-02-24 2:44 Ionen Wolkens
2024-02-09 1:04 Sam James
2024-02-08 17:10 Arthur Zamarin
2024-02-08 15:28 Michał Górny
2024-02-08 15:28 Michał Górny
2024-02-08 15:28 Michał Górny
2024-02-08 14:48 Michał Górny
2024-02-08 14:48 Michał Górny
2022-07-30 11:19 Michał Górny
2022-07-30 9:51 Arthur Zamarin
2022-07-26 15:20 Agostino Sarubbo
2022-07-26 15:19 Agostino Sarubbo
2022-07-26 15:18 Agostino Sarubbo
2022-07-26 15:16 Agostino Sarubbo
2022-07-26 4:27 Sam James
2022-07-26 4:15 Sam James
2022-06-26 6:27 Sam James
2022-06-22 4:39 Sam James
2022-06-21 22:01 Sam James
2022-06-21 22:01 Sam James
2022-05-17 11:54 WANG Xuerui
2021-11-19 14:04 Michał Górny
2021-11-19 13:38 Jakov Smolić
2021-11-18 14:00 Jakov Smolić
2021-11-18 9:09 Sam James
2021-11-18 9:09 Sam James
2021-11-16 2:53 Sam James
2021-11-15 1:12 Sam James
2021-10-07 6:37 Sam James
2021-07-31 13:40 Michał Górny
2021-07-22 23:16 Sam James
2021-07-22 21:52 Sam James
2021-07-22 17:49 Sam James
2021-06-29 4:57 Sam James
2021-06-25 19:36 Sam James
2021-06-19 21:10 Sergei Trofimovich
2021-06-17 20:24 Sam James
2021-06-17 20:24 Sam James
2021-06-17 20:24 Sam James
2021-06-17 20:24 Sam James
2021-06-17 20:23 Sam James
2021-05-17 22:24 Sam James
2021-05-17 22:24 Sam James
2021-03-21 19:00 David Seifert
2021-01-06 14:36 Fabian Groffen
2020-12-27 17:50 Fabian Groffen
2020-11-18 8:47 Michał Górny
2020-11-17 19:05 Agostino Sarubbo
2020-11-13 2:25 Sam James
2020-11-12 21:03 Thomas Deutschmann
2020-11-04 10:51 Sam James
2020-11-04 10:42 Sergei Trofimovich
2020-11-04 8:16 Sergei Trofimovich
2020-11-04 7:58 Sergei Trofimovich
2020-11-04 7:53 Sergei Trofimovich
2020-11-04 6:54 Sam James
2020-11-03 22:23 Michał Górny
2020-11-03 22:23 Michał Górny
2020-09-07 12:00 Yixun Lan
2020-07-22 17:05 Jeroen Roovers
2020-02-24 9:56 Agostino Sarubbo
2018-10-27 12:31 Fabian Groffen
2018-07-05 16:30 Jeroen Roovers
2018-07-05 16:30 Jeroen Roovers
2018-05-27 15:03 Mikle Kolyada
2018-05-26 10:06 Mart Raudsepp
2018-05-25 4:18 Matt Turner
2018-05-25 4:18 Matt Turner
2018-05-19 9:26 Sergei Trofimovich
2018-05-16 21:19 Sergei Trofimovich
2018-05-15 19:54 Mikle Kolyada
2018-05-14 21:19 Tobias Klausmann
2018-05-14 10:51 Jeroen Roovers
2018-05-14 8:27 Jeroen Roovers
2018-05-13 23:45 Aaron Bauman
2018-05-13 22:06 Thomas Deutschmann
2018-05-13 16:18 Jeroen Roovers
2018-05-13 16:18 Jeroen Roovers
2018-04-03 17:36 Jeroen Roovers
2018-04-03 17:36 Jeroen Roovers
2018-03-12 1:56 Matt Turner
2018-03-04 13:22 Jeroen Roovers
2018-03-04 10:12 Sergei Trofimovich
2018-03-03 14:17 Mart Raudsepp
2018-02-05 23:21 Sergei Trofimovich
2018-02-05 21:27 Markus Meier
2018-01-28 18:23 Tobias Klausmann
2018-01-26 18:21 Thomas Deutschmann
2018-01-23 16:41 Agostino Sarubbo
2017-10-30 8:18 Jeroen Roovers
2017-10-24 7:50 Jeroen Roovers
2017-10-15 11:23 Jeroen Roovers
2017-10-02 8:25 Jeroen Roovers
2017-03-21 15:46 Michael Haubenwallner
2017-02-24 4:16 Mike Frysinger
2017-01-29 19:33 Fabian Groffen
2017-01-24 8:57 Fabian Groffen
2016-10-21 10:36 Jeroen Roovers
2016-10-01 17:41 Tobias Klausmann
2016-09-29 13:28 Agostino Sarubbo
2016-09-29 12:35 Agostino Sarubbo
2016-09-29 9:35 Agostino Sarubbo
2016-07-27 6:55 Jeroen Roovers
2016-07-27 6:55 Jeroen Roovers
2016-07-26 12:41 Tobias Klausmann
2016-07-24 18:42 Markus Meier
2016-07-23 6:45 Jeroen Roovers
2016-07-21 6:18 Jeroen Roovers
2015-10-18 21:54 James Le Cuirot
2015-10-18 21:54 James Le Cuirot
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1705200276.00435780c75e8a0d728bd1aaf69acc86c77fbd1b.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox